//<SCRIPT LANGUAGE=javascript type="text/javascript">
<!--

//////////////////////////////////////////
//
// USES:
//		
//
//////////////////////////////////////////




////////////////////////////////////////////////
// doel:	invoer controles					
// note:	check on both onkeypress & onkeyup!	
////////////////////////////////////////////////


var tmpFieldCheckValue='';


////////////////////////////////////////////////
// doel:	parent functie voor CheckKeyUp & CheckKeyDown	
function checkKey(blnDown, objField, strCheck, varParam, blnOk, blnIsLastCheck)
{
	// set default values
	if (blnIsLastCheck==null)
		blnIsLastCheck=true;
	if (blnOk==null)
		blnOk=true;
		
	var strFieldValue = objField.value;

	if (blnOk)
	{
		if (strFieldValue!='')
		{
			switch (strCheck)
			{
				case 'maxlen'	: blnOk = (strFieldValue.length <= varParam); break;
				case 'num'		: blnOk = ( /^[0-9]+$/.test(strFieldValue) ); break;
				case 'alphanum'	: blnOk = ( /^[A-Za-z0-9]+$/.test(strFieldValue) ); break;
				case 'alpha'	: blnOk = ( /^[A-Za-z]+$/.test(strFieldValue) ); break;
				case 'lcase'	: blnOk = true; objField.value = strFieldValue.toLowerCase(); break;
				case 'ucase'	: blnOk = true; objField.value = strFieldValue.toUpperCase(); break;
				default			: blnOk = true; break;
			}
		}
	}

	if (blnDown)
	{
		if (blnIsLastCheck && blnOk)
			tmpFieldCheckValue = strFieldValue;
	}
	else
	{
		if (blnIsLastCheck && !blnOk)
			objField.value = tmpFieldCheckValue;
	}

	return blnOk;
}


////////////////////////////////////////////////
// doel:	invoer controle voor onkeypress event					
// input:	blnCheck & blnIsLastCheck zijn voor	geneste controles,	
//			dus indien meerdere	checks nodig, de ene functie		
//			meegeven als blnCheck, met blnIsLastCheck=false			
// note:	check also on onkeyup!									
// example: <textarea name="myName" onkeypress="return checkKeyDown(this, 'maxlen', 15);" onkeyup="return checkKeyUp(this, 'maxlen', 15);"><textarea>
function checkKeyDown(objField, strCheck, varParam, blnCheck, blnIsLastCheck)
{
	return checkKey(true, objField, strCheck, varParam, blnCheck, blnIsLastCheck);
}


////////////////////////////////////////////////
// doel:	invoer controle voor onkeyup event		
// input:	zie CheckKeyDown						
// note:	check also on onkeypress!				
// example: <textarea name="myName" onkeypress="return checkKeyDown(this, 'maxlen', 15);" onkeyup="return checkKeyUp(this, 'maxlen', 15);"><textarea>
function checkKeyUp(objField, strCheck, varParam, blnCheck, blnIsLastCheck)
{
	return checkKey(false, objField, strCheck, varParam, blnCheck, blnIsLastCheck);
}


////////////////////////////////////////////////
// doel:	textarea maxlength invoer controle voor onkeypress event
// example: <textarea name="myName" onkeypress="return checkTextAreaMaxLength(this, 15);" ><textarea> 
function checkTextAreaMaxLength(Object, MaxLen)
{
	return (Object.value.length <= MaxLen);
}


//-->
//</SCRIPT>